Summary: An OpenGL game similar to the film 'Tron'
Name: armagetron
Version: 0.1.4.3
Release: 3
License: GPL
Group: Amusements/Games  
Source0: http://pluto.spaceports.com/~zman/armagetron/download/at_src_0.1.4.3.tar.gz
Source1: Armagetron.desktop
Patch0: armagetron.patch
URL: http://pluto.spaceports.com/~zman/armagetron/tron.html
Buildroot: %{_tmppath}/%{name}-root
Autoreq: No
Requires: Mesa >= 3.4, glibc >= 2.2, SDL_image >= 1.0.9, SDL >= 1.1.6, esound

%description
There is not much to be said about the game: you ride a lightcycle,
a kind of motorbike that can't be stoppen and leaves a wall where
it goes. You can make turns of 90 degrees and can accelerate by 
driving close to walls. Make your enemies hit a wall while avoiding
the same fate.

%prep
%setup -q -n armagetron_src
%patch -p1

%configure --prefix=/usr/games/armagetron

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/games/armagetron
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install src/tron/armagetron $RPM_BUILD_ROOT/usr/games/armagetron
install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Games
strip $RPM_BUILD_ROOT/usr/games/armagetron/armagetron
cp -av textures arenas models sound $RPM_BUILD_ROOT/usr/games/armagetron

%files
%defattr(-,root,root)
%doc README
/usr/games/armagetron/*
%dir /usr/games/armagetron
%attr(644,root,root) /etc/X11/applnk/Games/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 02 2001 Karsten Hopp <karsten@redhat.de>
- armagetron was linked against an old SDL_image

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- defattr was in wrong place in files list, leaving files owned by the
  build system, fixed

* Tue Nov 28 2000 Karsten Hopp <karsten@redhat.de>
- initial RPM
